package org.jeecg.modules.app.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;

/**
 * 家庭成员
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="查询家庭成员请求入参")
public class FindFamilyMembersDTO {

    @Schema(description = "用户编号")
    @NotNull(message = "用户编号不允许为空")
    private String userId;

    @Schema(description = "页码")
    private Integer pageNo=1;

    @Schema(description = "每页显示条数")
    private Integer pageSize=10;
}
