package org.jeecg.modules.app.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.app.dto.GetPlaceListDTO;
import org.jeecg.modules.app.dto.SearchDTO;
import org.jeecg.modules.app.vo.AppBannerVO;
import org.jeecg.modules.app.vo.HomeVO;
import org.jeecg.modules.app.vo.PlaceVO;
import org.jeecg.modules.system.app.entity.AppSearchHot;

import java.util.List;

public interface IAppHomeService {

    /**
     * @Author SheepHy
     * @Description 首页基础数据查询
     * @Date 11:01 2025/7/2
     * @return {@link AppBannerVO}
     **/
    HomeVO homeInfo();

    /**
     * @Author SheepHy
     * @Description 场地列表查询
     * @Date 10:37 2025/7/4
     * @Param
     * @return
     **/
    Page<PlaceVO> getPlaceList(GetPlaceListDTO getPlaceListDTO);

    /**
     * @Author SheepHy
     * @Description 全局搜索
     * @Date 10:37 2025/7/4
     * @Param
     * @return
     **/
    Object search(SearchDTO searchDTO);

    /**
     * @Author SheepHy
     * @Description 热词查询
     * @Date 17:12 2025/7/7
     * @return List<AppSearchHot>
     **/
    List<AppSearchHot> getHotSearch();
}
