package org.jeecg.modules.app.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 已登录用户视图（脱敏）
 *
 **/
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="已登录用户视图")
public class LoginUserVO implements Serializable {

    /**
     * 用户 id
     */
    @Schema(description = "用户 id")
    private String id;

    /**
     * 用户昵称
     */
    @Schema(description = "用户昵称")
    private String userName;

    /**
     * 用户头像
     */
    @Schema(description = "用户头像")
    private String userAvatar;

    /**
     * token
     */
    @Schema(description = "token")
    private String token;

}