package org.jeecg.modules.app.vo.stadium;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="体育馆场次")
public class ConcertsDetailsVO {
    @Schema(description = "场所明细id")
    private String id;
    /**场所名称*/
    @Schema(description = "场所开始时间")
    @JsonFormat(timezone = "GMT+8",pattern = "HH:mm:ss")
    @DateTimeFormat(pattern="HH:mm:ss")
    private Date startTime;
    /**场所明细*/
    @Schema(description = "场所结束时间")
    @JsonFormat(timezone = "GMT+8",pattern = "HH:mm:ss")
    @DateTimeFormat(pattern="HH:mm:ss")
    private Date endTime;
    /**当天场次已预约数*/
    @Schema(description = "场所状态0-未预约；1-已预约")
    private Integer concertStatus;

    @Schema(description = "价格")
    private BigDecimal price;


}
