package org.jeecg.modules.system.app.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author DM
 * @date 2025/7/7 20:58
 * @description
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@AllArgsConstructor
@NoArgsConstructor
@Schema(description="课程入参DTO")
public class AppCoursesCuDTO {
    @Schema(description = "id")
    private String id;
    /**部门编码*/
    @Excel(name = "部门编码", width = 15)
    @Schema(description = "部门编码")
    private String orgCode;
    /**教练id（关联用户表）*/
    @Excel(name = "教练id（关联用户表）", width = 15)
    @Schema(description = "教练id（关联用户表）")
    private String userId;
    /**关联部门id*/
    @Excel(name = "关联部门id", width = 15)
    @Schema(description = "关联部门id")
    private String tenantId;
    /**产品名称*/
    @Excel(name = "产品名称", width = 15)
    @Schema(description = "产品名称")
    private String name;
    /**类目;0足球 1篮球 2羽毛球 3跑步...仅包场*/
    @Excel(name = "类目;0足球 1篮球 2羽毛球 3跑步...仅包场", width = 15)
    @Schema(description = "类目;0足球 1篮球 2羽毛球 3跑步...仅包场")
    private String categoryId;
    /**费用类型;0 精品 1免费 仅课程*/
    @Excel(name = "费用类型;0 精品 1免费 仅课程", width = 15)
    @Schema(description = "费用类型;0 精品 1免费 仅课程")
    private Integer priceType;
    /**上课场地*/
    @Excel(name = "上课场地", width = 15)
    @Schema(description = "上课场地")
    private String siteId;
    /**保险id;可能有多个险种*/
    @Excel(name = "保险id;可能有多个险种", width = 15)
    @Schema(description = "保险id;可能有多个险种")
    private String insureIds;
    /**封面*/
    @Excel(name = "封面", width = 15)
    @Schema(description = "封面")
    private String cover;
    /**背景图;可能数组*/
    @Excel(name = "背景图;可能数组", width = 15)
    @Schema(description = "背景图;可能数组")
    private String backgroundImage;
    /**原价*/
    @Excel(name = "原价", width = 15)
    @Schema(description = "原价")
    private BigDecimal originalPrice;
    /**售价*/
    @Excel(name = "售价", width = 15)
    @Schema(description = "售价")
    private BigDecimal sellingPrice;
    /**适用人群*/
    @Excel(name = "适用人群", width = 15)
    @Schema(description = "适用人群")
    private String fitPeople;
    /**服务详情*/
    @Excel(name = "服务详情", width = 15)
    @Schema(description = "服务详情")
    private String details;
    /**开始时间*/
    @Excel(name = "开始时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "开始时间")
    private Date startTime;
    /**结束时间*/
    @Excel(name = "结束时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "结束时间")
    private Date endTime;
    /**限购次数*/
    @Excel(name = "限购次数", width = 15)
    @Schema(description = "限购次数")
    private Integer limitNum;
    /**提示/须知*/
    @Excel(name = "提示/须知", width = 15)
    @Schema(description = "提示/须知")
    private String reminder;
    /**上架状态;0上架 1下架*/
    @Excel(name = "上架状态;0上架 1下架", width = 15)
    @Schema(description = "上架状态;0上架 1下架")
    private Integer rackingStatus;
    /**视频*/
    @Excel(name = "视频", width = 15)
    @Schema(description = "视频")
    private String video;
    /**排序*/
    @Excel(name = "排序", width = 15)
    @Schema(description = "排序")
    private Integer sort;
    /**好评率*/
    @Excel(name = "好评率", width = 15)
    @Schema(description = "好评率")
    private BigDecimal goodRate;
    /**课程进展状态*/
    @Excel(name = "课程进展状态", width = 15)
    @Schema(description = "课程进展状态")
    private Integer coursesStatus;

    @Excel(name = "总节数", width = 15)
    private Integer totalNum;
}