package org.jeecg.modules.system.app.dto;

import io.swagger.v3.oas.annotations.media.ArraySchema;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.jeecg.modules.system.app.entity.AppCourses;
import org.jeecg.modules.system.app.entity.AppCoursesPriceRules;

import java.util.List;

/**
 * @author DM
 * @date 2025/7/4 17:01
 * @description
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@AllArgsConstructor
@NoArgsConstructor
@Schema(description="课程课时入参DTO")
public class AppCoursesDTO {
    private AppCoursesCuDTO courses;
    @ArraySchema(schema = @Schema(implementation = AppCoursesRuleDTO.class), minItems = 1)
    private List<AppCoursesRuleDTO> priceRulesList;
}