package org.jeecg.modules.system.app.dto;

import io.swagger.v3.oas.annotations.media.ArraySchema;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @author DM
 * @date 2025/7/4 16:56
 * @description
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@AllArgsConstructor
@NoArgsConstructor
@Schema(description = "赛事-赛程-赛价入参DTO")
public class AppGameDTO {
    private AppGameCuDTO game;
    @ArraySchema(schema = @Schema(implementation = AppGameRuleDTO.class), minItems = 1)
    private List<AppGameRuleDTO> gamePriceRules;
    @ArraySchema(schema = @Schema(implementation = AppGameScheduleDTO.class), minItems = 1)
    private List<AppGameScheduleDTO> scheduleDTOS;
}