package org.jeecg.modules.system.app.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author DM
 * @date 2025/7/8 11:03
 * @description
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@AllArgsConstructor
@NoArgsConstructor
@Schema(description="场地价格规则入参DTO")
public class AppSiteRuleDTO {
    @Schema(description = "id")
    private String id;
    /**场地*/
    @Schema(description = "场地")
    private String siteId;
    /**运动类型*/
    @Schema(description = "运动类型")
    private String categoryId;
    /**开始时间*/
    @JsonFormat(timezone = "GMT+8",pattern = "HH:mm:ss")
    @DateTimeFormat(pattern="HH:mm:ss")
    @Schema(description = "开始时间")
    private Date startTime;
    /**结束时间*/
    @JsonFormat(timezone = "GMT+8",pattern = "HH:mm:ss")
    @DateTimeFormat(pattern="HH:mm:ss")
    @Schema(description = "结束时间")
    private Date endTime;
    /**星期几*/
    @Schema(description = "星期几")
    private String dayOfWeek;
    /**原价*/
    @Schema(description = "原价")
    private BigDecimal originalPrice;
    /**售价*/
    @NotNull(message = "售价不允许为空")
    @Schema(description = "售价")
    private BigDecimal sellingPrice;
    /**0学校 1体育馆包场 2体育馆不固定场*/
    @Schema(description = "0学校 1体育馆包场 2体育馆不固定场")
    private Integer type;
    /**是否教学日0是1不是*/
    @Schema(description = "是否教学日0是1不是")
    private Integer isTeaching;
    /**场数*/
    @Schema(description = "场数/库存")
    private Integer inventory;

}