package org.jeecg.modules.system.app.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.jeecg.modules.system.app.entity.FamilyMembers;

import java.util.Date;
import java.util.List;

/**
 * 意见反馈
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@AllArgsConstructor
@NoArgsConstructor
@Schema(description="家庭成员返回参数")
public class FindFamilyMembersResponseDTO {

    @Schema(description = "id")
    private String id;
    /**
     * 登录账号
     */
    @Schema(description = "登录账号")
    private String username;

    /**
     * 真实姓名
     */
    @Schema(description = "真实姓名")
    private String realname;
    /**
     * 头像
     */
    @Schema(description = "头像")
    private String avatar;
    /**
     * 电话
     */
    @Schema(description = "电话")
    private String phone;
    /**
     * 创建时间
     */
    @Schema(description = "创建时间")
    private Date createTime;
    /**
     * 小程序openId
     */
    @Schema(description = "微信openId")
    private String openid;

    @Schema(description = "家庭成员列表")
    private List<FamilyMembers> familyMembersList;

}
