package org.jeecg.modules.system.app.dto.separateAccounts;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 评价
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@AllArgsConstructor
@NoArgsConstructor
@Schema(description="商户返回参数")
public class FindAccountResponseDTO {
    /**id*/
    @Schema(description = "id")
    private String id;
    /**商户名称*/
    @Schema(description = "商户名称")
    private String merchantName;
    /**平台分账比例 单位%*/
    @Schema(description = "平台分账比例 单位%")
    private BigDecimal ptSeparateAccounts;
    /**商家分账比例 单位%*/
    @Schema(description = "商家分账比例 单位%")
    private BigDecimal shSeparateAccounts;
    @Schema(description = "门店分账比例 单位%")
    private BigDecimal mdSeparateAccounts;
    /**分账状态 0-启用 1-停用  默认启用*/
    @Schema(description = "分账状态 0-启用 1-停用  默认启用")
    private Integer accountStatus;
    /**更新时间*/
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "更新时间")
    private Date updateTime;

}
