package org.jeecg.modules.system.app.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import org.jeecg.common.constant.ProvinceCityArea;
import org.jeecg.common.util.SpringContextUtils;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 赛事价格规则表
 * @Author: jeecg-boot
 * @Date:   2025-07-08
 * @Version: V1.0
 */
@Data
@TableName("nm_game_price_rules")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="赛事价格规则表")
public class AppGamePriceRules implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @Schema(description = "id")
    private String id;
	/**部门编码*/
	@Excel(name = "部门编码", width = 15)
    @Schema(description = "部门编码")
    private String orgCode;
	/**关联部门id*/
	@Excel(name = "关联部门id", width = 15)
    @Schema(description = "关联部门id")
    private String tenantId;
	/**赛事id*/
	@Excel(name = "赛事id", width = 15)
    @Schema(description = "赛事id")
    private String gameId;
	/**比赛项目*/
	@Excel(name = "比赛项目", width = 15)
    @Schema(description = "比赛项目")
    private String categoryId;
	/**售价*/
	@Excel(name = "售价", width = 15)
    @Schema(description = "售价")
    private BigDecimal sellingPrice;
	/**人数*/
	@Excel(name = "人数", width = 15)
    @Schema(description = "人数")
    private Integer peopleNum;
	/**比赛类型；0个人1团队*/
	@Excel(name = "比赛类型；0个人1团队", width = 15)
    @Schema(description = "比赛类型；0个人1团队")
    private Integer type;
	/**乐观锁*/
	@Excel(name = "乐观锁", width = 15)
    @Schema(description = "乐观锁")
    private Integer revision;
	/**创建人;创建人*/
    @Schema(description = "创建人;创建人")
    private String createBy;
	/**创建时间;创建时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "创建时间;创建时间")
    private Date createTime;
	/**更新人;更新人*/
    @Schema(description = "更新人;更新人")
    private String updateBy;
	/**更新时间;更新时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "更新时间;更新时间")
    private Date updateTime;
	/**系统状态;状态(0-正常,1-冻结)*/
	@Excel(name = "系统状态;状态(0-正常,1-冻结)", width = 15)
    @Schema(description = "系统状态;状态(0-正常,1-冻结)")
    private Integer status;
	/**删除标志;删除状态(0-正常,1-已删除)*/
	@Excel(name = "删除标志;删除状态(0-正常,1-已删除)", width = 15)
    @Schema(description = "删除标志;删除状态(0-正常,1-已删除)")
    @TableLogic
    private Integer delFlag;
}
