package org.jeecg.modules.system.app.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import org.jeecg.common.constant.ProvinceCityArea;
import org.jeecg.common.util.SpringContextUtils;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 订单表
 * @Author: jeecg-boot
 * @Date:   2025-07-03
 * @Version: V1.0
 */
@Data
@TableName("nm_order")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="订单表")
public class AppOrder implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @Schema(description = "id")
    private String id;
	/**订单号*/
	@Excel(name = "订单号", width = 15)
    @Schema(description = "订单号")
    private String orderCode;
    /**订单类型*/
    @Excel(name = "订单类型", width = 15)
    @Schema(description = "订单类型")
    private Integer type;
    /**部门id*/
	@Excel(name = "部门id", width = 15)
    @Schema(description = "部门id")
    private String orgCode;
	/**租户id*/
	@Excel(name = "租户id", width = 15)
    @Schema(description = "租户id")
    private String tenantId;
	/**产品id列表;场地/赛事/课程*/
	@Excel(name = "产品id列表;场地/赛事/课程", width = 15)
    @Schema(description = "产品id列表;场地/赛事/课程")
    private String productIds;
	/**用户id*/
	@Excel(name = "用户id", width = 15)
    @Schema(description = "用户id")
    private String userId;
    /**订单人员信息表ids*/
    @Excel(name = "订单人员", width = 15)
    @Schema(description = "订单人员")
    private String peoples;
	/**原订单总价*/
	@Excel(name = "原订单总价", width = 15)
    @Schema(description = "原订单总价")
    private String originalPrice;
	/**实际支付价*/
	@Excel(name = "实际支付价", width = 15)
    @Schema(description = "实际支付价")
    private String price;
	/**优惠信息*/
	@Excel(name = "优惠信息", width = 15)
    @Schema(description = "优惠信息")
    private String discounts;
	/**支付流水号*/
	@Excel(name = "支付流水号", width = 15)
    @Schema(description = "支付流水号")
    private String payId;
	/**支付类型;0 wx 1zfb 2yl*/
	@Excel(name = "支付类型;0 wx 1zfb 2yl", width = 15)
    @Schema(description = "支付类型;0 wx 1zfb 2yl")
    private String payType;
	/**订单状态*/
	@Excel(name = "订单状态", width = 15)
    @Schema(description = "订单状态")
    private String orderStatus;
	/**二维码券号*/
	@Excel(name = "二维码券号", width = 15)
    @Schema(description = "二维码券号")
    private String isin;
	/**保单id;保单列表*/
	@Excel(name = "保单id;保单列表", width = 15)
    @Schema(description = "保单id;保单列表")
    private String insureNumberIds;
	/**取消备注*/
	@Excel(name = "取消备注", width = 15)
    @Schema(description = "取消备注")
    private String remark;
	/**乐观锁*/
	@Excel(name = "乐观锁", width = 15)
    @Schema(description = "乐观锁")
    private Integer revision;
	/**创建人;创建人*/
    @Schema(description = "创建人;创建人")
    private String createBy;
	/**创建时间;创建时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "创建时间;创建时间")
    private Date createTime;
	/**更新人;更新人*/
    @Schema(description = "更新人;更新人")
    private String updateBy;
	/**更新时间;更新时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "更新时间;更新时间")
    private Date updateTime;
	/**系统状态;状态(0-正常,1-冻结)*/
	@Excel(name = "系统状态;状态(0-正常,1-冻结)", width = 15)
    @Schema(description = "系统状态;状态(0-正常,1-冻结)")
    private Integer status;
	/**删除标志;删除状态(0-正常,1-已删除)*/
	@Excel(name = "删除标志;删除状态(0-正常,1-已删除)", width = 15)
    @Schema(description = "删除标志;删除状态(0-正常,1-已删除)")
    @TableLogic
    private Integer delFlag;
}
