package org.jeecg.modules.system.app.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import org.jeecg.common.constant.ProvinceCityArea;
import org.jeecg.common.util.SpringContextUtils;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 订单产品明细
 * @Author: jeecg-boot
 * @Date:   2025-07-03
 * @Version: V1.0
 */
@Data
@TableName("nm_order_product")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="订单产品明细")
public class AppOrderProduct implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @Schema(description = "id")
    private String id;
	/**部门id*/
	@Excel(name = "部门id", width = 15)
    @Schema(description = "部门id")
    private String orgCode;
	/**商户id/场地id;校验信息查看*/
	@Excel(name = "商户id/场地id;校验信息查看", width = 15)
    @Schema(description = "商户id/场地id;校验信息查看")
    private String tenantId;
	/**订单id*/
	@Excel(name = "订单id", width = 15)
    @Schema(description = "订单id")
    private String orderId;
	/**产品id;场地/赛事/课程*/
	@Excel(name = "产品id;场地/赛事/课程", width = 15)
    @Schema(description = "产品id;场地/赛事/课程")
    private String productId;
	/**价格规则id;真正的产品id*/
	@Excel(name = "价格规则id;真正的产品id", width = 15)
    @Schema(description = "价格规则id;真正的产品id")
    private String ruleId;
	/**产品订单状态;0初始 1已使用 2退款中 3已退款*/
	@Excel(name = "产品订单状态;0初始 1已使用 2退款中 3已退款", width = 15)
    @Schema(description = "产品订单状态;0初始 1已使用 2退款中 3已退款")
    private String productOrderStatus;
	/**核验人*/
	@Excel(name = "核验人", width = 15)
    @Schema(description = "核验人")
    private String verifyBy;
	/**使用人*/
	@Excel(name = "使用人", width = 15)
    @Schema(description = "使用人")
    private String userId;
	/**乐观锁*/
	@Excel(name = "乐观锁", width = 15)
    @Schema(description = "乐观锁")
    private Integer revision;
	/**创建人;创建人*/
    @Schema(description = "创建人;创建人")
    private String createBy;
	/**创建时间;创建时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "创建时间;创建时间")
    private Date createTime;
	/**更新人;更新人*/
    @Schema(description = "更新人;更新人")
    private String updateBy;
	/**更新时间;更新时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "更新时间;更新时间")
    private Date updateTime;
	/**系统状态;状态(0-正常,1-冻结)*/
	@Excel(name = "系统状态;状态(0-正常,1-冻结)", width = 15)
    @Schema(description = "系统状态;状态(0-正常,1-冻结)")
    private Integer status;
	/**删除标志;删除状态(0-正常,1-已删除)*/
	@Excel(name = "删除标志;删除状态(0-正常,1-已删除)", width = 15)
    @Schema(description = "删除标志;删除状态(0-正常,1-已删除)")
    @TableLogic
    private Integer delFlag;
}
