package org.jeecg.modules.system.app.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @Description: 运动类型表
 * @Author: jeecg-boot
 * @Date:   2025-07-03
 * @Version: V1.0
 */
@Data
@TableName("nm_search_hot")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="关键词搜索表")
public class AppSearchHot implements Serializable {
    private static final long serialVersionUID = 1L;
	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @Schema(description = "id")
    private String id;
    @Schema(description = "搜索次数")
    private int searchCount;
    @Schema(description = "搜索内容")
    private String searchContent;
    @Schema(description = "是否启用")
    private int isActive;
    @Schema(description = "是否推荐")
    private int isRecommend;
    @Schema(description = "关联分类ID")
    private String venueType;
    @Schema(description = "最后一次搜索用户ID")
    private String lastUser;

}
