package org.jeecg.modules.system.app.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import org.jeecg.common.constant.ProvinceCityArea;
import org.jeecg.common.util.SpringContextUtils;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 商户场所表
 * @Author: jeecg-boot
 * @Date:   2025-07-09
 * @Version: V1.0
 */
@Data
@TableName("nm_site_place")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="商户场所表")
public class AppSitePlace implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @Schema(description = "id")
    private String id;
	/**部门id*/
	@Excel(name = "部门id", width = 15)
    @Schema(description = "部门id")
    private String tenantId;
	/**部门编码*/
	@Excel(name = "部门编码", width = 15)
    @Schema(description = "部门编码")
    private String orgCode;
	/**商户补充信息id*/
	@Excel(name = "商户补充信息id", width = 15)
    @Schema(description = "商户补充信息id")
    private String siteId;
    /**名称*/
    @Excel(name = "名称", width = 15)
    @Schema(description = "名称")
    private String name;
    /**运动类型*/
    @Excel(name = "运动类型", width = 15)
    @Schema(description = "运动类型")
    private String CategoryId;
	/**乐观锁*/
	@Excel(name = "乐观锁", width = 15)
    @Schema(description = "乐观锁")
    private Integer revision;
	/**创建人;创建人*/
    @Schema(description = "创建人;创建人")
    private String createBy;
	/**创建时间;创建时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "创建时间;创建时间")
    private Date createTime;
	/**更新人;更新人*/
    @Schema(description = "更新人;更新人")
    private String updateBy;
	/**更新时间;更新时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "更新时间;更新时间")
    private Date updateTime;
	/**系统状态;状态(0-正常,1-冻结)*/
	@Excel(name = "系统状态;状态(0-正常,1-冻结)", width = 15)
    @Schema(description = "系统状态;状态(0-正常,1-冻结)")
    private Integer status;
	/**删除标志;删除状态(0-正常,1-已删除)*/
	@Excel(name = "删除标志;删除状态(0-正常,1-已删除)", width = 15)
    @Schema(description = "删除标志;删除状态(0-正常,1-已删除)")
    @TableLogic
    private Integer delFlag;
	/**封面*/
	@Excel(name = "封面", width = 15)
    @Schema(description = "封面")
    private String cover;
	/**保险id,逗号分割*/
	@Excel(name = "保险id,逗号分割", width = 15)
    @Schema(description = "保险id,逗号分割")
    private String insureIds;
	/**退款类型;0可退/到期自动退 1限时退 2不可退*/
	@Excel(name = "退款类型;0可退/到期自动退 1限时退 2不可退", width = 15)
    @Schema(description = "退款类型;0可退/到期自动退 1限时退 2不可退")
    private Integer refundType;
	/**体育馆包场提前退款时间；单位：分钟*/
	@Excel(name = "体育馆包场提前退款时间；单位：分钟", width = 15)
    @Schema(description = "体育馆包场提前退款时间；单位：分钟")
    private Integer earlyRefundTime;
	/**适用人数*/
	@Excel(name = "适用人数", width = 15)
    @Schema(description = "适用人数")
    private Integer usableCount;
	/**提示/须知*/
	@Excel(name = "提示/须知", width = 15)
    @Schema(description = "提示/须知")
    private String reminder;
	/**不可用日期;多个逗号分割*/
	@Excel(name = "不可用日期;多个逗号分割", width = 15)
    @Schema(description = "不可用日期;多个逗号分割")
    private String downTime;
	/**提前预约时间：0免预约 单位：时*/
	@Excel(name = "提前预约时间：0免预约 单位：时", width = 15)
    @Schema(description = "提前预约时间：0免预约 单位：时")
    private Integer advanceTime;
	/**购买限制*/
	@Excel(name = "购买限制", width = 15)
    @Schema(description = "购买限制")
    private Integer buyLimit;
	/**0学校 1体育馆包场 2体育馆不固定场*/
	@Excel(name = "0学校 1体育馆包场 2体育馆不固定场", width = 15)
    @Schema(description = "0学校 1体育馆包场 2体育馆不固定场")
    private Integer type;
	/**有效期；单位：天*/
	@Excel(name = "有效期；单位：天", width = 15)
    @Schema(description = "有效期；单位：天")
    private Integer indate;



}
