package org.jeecg.modules.system.app.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 家庭成员信息表
 * @Author: jeecg-boot
 * @Date:   2025-07-07
 * @Version: V1.0
 */
@Data
@TableName("nm_family_members")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="家庭成员信息表")
public class FamilyMembers implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @Schema(description = "主键")
    private String id;
	/**姓名*/
	@Excel(name = "姓名", width = 15)
    @Schema(description = "姓名")
    private String fullName;
	/**用户编号*/
	@Excel(name = "用户编号", width = 15)
    @Schema(description = "用户编号")
    private String userId;
	/**身份证号*/
	@Excel(name = "身份证号", width = 15)
    @Schema(description = "身份证号")
    private String identityCard;
	/**身份证正面照*/
	@Excel(name = "身份证正面照", width = 15)
    @Schema(description = "身份证正面照")
    private String idCardFrontImg;
	/**身份证反面照*/
	@Excel(name = "身份证反面照", width = 15)
    @Schema(description = "身份证反面照")
    private String idCardBackImg;
	/**手机号*/
	@Excel(name = "手机号", width = 15)
    @Schema(description = "手机号")
    private String phone;
	/**实名状态 0-未实名 ；1-已实名*/
	@Excel(name = "实名状态 0-未实名 ；1-已实名", width = 15)
    @Schema(description = "实名状态 0-未实名 ；1-已实名")
    private Integer realNameStatus;
    /**身份证反面照*/
    @Excel(name = "实名认证照片", width = 15)
    @Schema(description = "实名认证照片")
    private String realNameImg;

    /**实名状态 0-未实名 ；1-已实名*/
    @Excel(name = "用户类型0-本人；1-家人", width = 15)
    @Schema(description = "用户类型0-本人；1-家人")
    private Integer userType;
	/**创建时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "创建时间")
    private Date createTime;
	/**修改时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "修改时间")
    private Date updateTime;

    /**删除标志;删除状态(0-正常,1-已删除)*/
    @Excel(name = "删除标志;删除状态(0-正常,1-已删除)", width = 15)
    @Schema(description = "删除标志;删除状态(0-正常,1-已删除)")
    @TableLogic
    private Integer delFlag;
}
