package org.jeecg.modules.system.app.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.app.dto.SearchDTO;
import org.jeecg.modules.app.vo.CourseInfoVO;
import org.jeecg.modules.app.vo.SearchVO;
import org.jeecg.modules.system.app.entity.AppCourses;

/**
 * @Description: 课程/培训表
 * @Author: jeecg-boot
 * @Date:   2025-07-03
 * @Version: V1.0
 */
public interface AppCoursesMapper extends BaseMapper<AppCourses> {
    /**
     * @Author SheepHy
     * @Description 培训课程分页查询
     * @Date 13:37 2025/7/7
     * @Param
     * @return
     **/
    Page<SearchVO.SearchTrainVO> convertSearchTrainVOPage(@Param("page")Page<SearchVO.SearchTrainVO> page,@Param("searchDTO")SearchDTO searchDTO);

    /**
     * @Author SheepHy
     * @Description 课程详情
     * @Date 13:36 2025/7/8
     * @Param id 课程id
     * @return CourseInfoVO {@link CourseInfoVO}
     **/
    CourseInfoVO getCourseInfo(@Param("id")String id);
}
