package org.jeecg.modules.system.app.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.jeecg.modules.system.app.dto.AppGameDTO;
import org.jeecg.modules.system.app.dto.AppGamePageDTO;
import org.jeecg.modules.system.app.entity.AppGame;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @Description: 赛事表
 * @Author: jeecg-boot
 * @Date:   2025-07-03
 * @Version: V1.0
 */
public interface IAppGameService extends IService<AppGame> {
    /**
     * 保存赛事表
     * @param gameDTO
     * @return
     */
    Boolean saveWitchPriceRules(AppGameDTO gameDTO);
    /**
     * 修改赛事表
     * @param gameDTO
     * @return
     */
        Boolean editWitchPriceRules(AppGameDTO gameDTO);
    /**
     * 通过id查询赛事表
     * @param id
     * @return
     */
    AppGameDTO queryWitchPriceRulesById(String id);
    /**
     * 删除赛事表
     * @param id
     * @return
     */
    Boolean deleteWitchPriceRulesById(String id);

    IPage<AppGameDTO> queryWitchPriceRulesPage(AppGamePageDTO dto);

}
